//*********************************************
// Demonstrates layouts: Flow, Grid, HBox, VBox
//*********************************************
import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.geometry.*;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.text.Text;
import javafx.scene.layout.*;
import javafx.stage.Stage;
public class PushCounter2 extends Application
{
    private int count;
    private Button push;
    private Text counter;

    public void start(Stage primaryStage)
    {
        count = 0;
        counter = new Text("Pushes: 0");
        push = new Button("Push");
        push.setOnAction(this::processButtonPress);
        Button clear = new Button("Clear");
        clear.setOnAction(this::processButtonPress);        

        FlowPane pane = new FlowPane(Orientation.HORIZONTAL);
//      FlowPane pane = new FlowPane(Orientation.VERTICAL);
//      GridPane pane = new GridPane();
//      HBox pane = new HBox();
//      VBox pane = new VBox();

        pane.setAlignment(Pos.CENTER);
//      pane.setSpacing(20); // for VBox and HBox
        pane.setHgap(20);
        pane.setVgap(20);
        
        pane.getChildren().add(push); // for for FlowPane
        pane.getChildren().add(clear);
        pane.getChildren().add(counter);
        
//      pane.add(push,0,0); // for GridPane
//      pane.add(clear,1,0);
//      pane.add(counter,0,1);

        Scene scene = new Scene(pane, 300, 300);
        primaryStage.setTitle("Push Counter");
        primaryStage.setScene(scene);
        primaryStage.show();
    }

    public void processButtonPress(ActionEvent event)
    {
        if (event.getSource() == push) 
            count++;
        else 
            count=0;
        counter.setText("Pushes: " + count);
    }
}
